Coolify logoCoolify
PATCH
/services/{uuid}/envs/bulk

Update multiple envs by service UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the service.

Request Body

application/json

Bulk envs updated.

TypeScript Definitions

Use the request body type in TypeScript.

data*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/services/string/envs/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {}    ]  }'
{  "message": "Environment variables updated."}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}